Process Session
curl --request POST \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/process \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/process"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "ok"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Process Session
Manually trigger session processing to extract memories.
Force immediate processing of a session to extract long-term memories from the conversation history. The session must be in PENDING status. Processing analyzes messages, extracts key facts, and stores them as searchable memories.
Path Parameters:
custom_user_id(str): Unique identifier for the usersession_id(UUID): Session UUID to process
Returns:
detail(str): Success confirmation message. Session status changes to PROCESSING, then PROCESSED when complete.
POST
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
/
process
Process Session
Was this page helpful?
⌘I

